tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henri Gomez" <henri.go...@gmail.com>
Subject Re: mod_jk and Apache 2.2.x
Date Wed, 23 Apr 2008 06:03:25 GMT
Good.

What do you means by 'in all httpd production releases'.

Apache 2.2.x is allready used in production, and how to determine
which releases of http 2.2.x are 'production releases' or not.

BTW, good idea this --enable-api-compatibility

Regards

2008/4/23 Rainer Jung <rainer.jung@kippdata.de>:
> Hi Henri,
>
>  I noticed the same area as a source of possible trouble, e.g. w.r.t. the
> binaries we distribute ourselves. So since a few weeks we have
> "--enable-api-compatibility" as a configure flag, that will disable the use
> of post GA 2.2.x functions.
>
>  It's already in the 1.2.27 changelog
>
>
> http://people.apache.org/~rjung/mod_jk-dev/docs/miscellaneous/changelog.html
>
>  and configure doc
>
>  http://people.apache.org/~rjung/mod_jk-dev/docs/webserver_howto/apache.html
>
>  Thanks for letting us know your observation!
>
>  Regards,
>
>  Rainer
>
>  Henri Gomez schrieb:
>
> >
> >
> >
> >  While rebuilding mod_jk 1.2.26 on a Linux box SLES 10 up to date I see
> >  a strange error at startup time :
> >
> >  Apache failed to start since the ap_get_server_description symbol was
> missing.
> >
> >  Did ap_get_server_description() appears with apache 2.2.3 ou 2.2.4 ?:
> >
> >
> >  in apache2/mod_jk.c there is a test
> >
> >  #if (AP_MODULE_MAGIC_AT_LEAST(20051115,4))
> >    s->server_software = (char *)ap_get_server_description();
> >  #else
> >    s->server_software = (char *)ap_get_server_version();
> >  #endif
> >
> >  On my SLES ap_mmn.h contains :
> >
> >  #define MODULE_MAGIC_COOKIE 0x41503232UL /* "AP22" */
> >
> >  #ifndef MODULE_MAGIC_NUMBER_MAJOR
> >  #define MODULE_MAGIC_NUMBER_MAJOR 20051115
> >  #endif
> >  #define MODULE_MAGIC_NUMBER_MINOR 5                     /* 0...n */
> >
> >
> >  But the Apache 2.2 is only 2.2.3 :
> >
> >  /usr/sbin/httpd2 -v
> >  Server version: Apache/2.2.3
> >  Server built:   Mar 26 2008 12:23:18
> >
> >
> > SLES 10 provides a 2.2.3 core Apache 2 with mpm defs for 2.2.5 so get
> > it in mind if we get report about mod_jk problems on Suse SLES 10
> > boxes :)
> >
> >  Regards
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
> > For additional commands, e-mail: dev-help@tomcat.apache.org
> >
> >
>
>  ---------------------------------------------------------------------
>  To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
>  For additional commands, e-mail: dev-help@tomcat.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message